Bug 1878239 - Upgrade gnome-remote-desktop for F33
Summary: Upgrade gnome-remote-desktop for F33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-remote-desktop
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonas Ådahl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F33BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-09-11 17:18 UTC by Jonas Ådahl
Modified: 2020-09-21 20:48 UTC (History)
2 users (show)

Fixed In Version: gnome-remote-desktop-0.1.9-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-21 20:48:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Jonas Ådahl 2020-09-11 17:18:39 UTC
Upgrade GNOME Remote Desktop to the latest version.

This would fix

 * Usage of PipeWire 0.3 instead of the 0.2 compat library
 * This will result in performance improvements
 * This will also result in cursor sprites working again
 * It'll enable disabled-by-default RDP backend support

It'd change dependency from pipewire 0.2 to 0.3. It'd add a new dependency: FreeRDP.

Comment 1 Fedora Update System 2020-09-15 12:31:30 UTC
FEDORA-2020-d34f1da597 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d34f1da597

Comment 2 Fedora Blocker Bugs Application 2020-09-15 12:35:16 UTC
Proposed as a Freeze Exception for 33-beta by Fedora user jadahl using the blocker tracking app because:

 GNOME Remote Desktop (GRD) was never upgraded in Rawhide to the version using PipeWire 0.3 which is used in F32, thus to avoid downgrading GRD when upgrading Fedora from F32 to F33, this update must be included.

The upgrade also upgrades the gnome-remote-desktop version, as well as backports a crash fix not yet part of a release.

Comment 3 Fedora Update System 2020-09-15 14:55:12 UTC
FEDORA-2020-d34f1da597 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d34f1da597`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d34f1da597

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-09-21 20:48:50 UTC
FEDORA-2020-d34f1da597 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.